cloud_point_index_idx Struct Reference

`#include <pcl/filters/impl/voxel_grid.hpp>`

## Public Member Functions

| cloud_point_index_idx (unsigned int idx_, unsigned int cloud_point_index_)
bool | operator< (const cloud_point_index_idx &p) const

## Public Attributes

unsigned int | idx
unsigned int | cloud_point_index

## Detailed Description

Definition at line 203 of file voxel_grid.hpp.

## Constructor & Destructor Documentation

## cloud_point_index_idx()

cloud_point_index_idx::cloud_point_index_idx | ( | unsigned int | idx_,
|  | unsigned int | cloud_point_index_
| ) |  |

inline

Definition at line 208 of file voxel_grid.hpp.

## Member Function Documentation

## operator<()

bool cloud_point_index_idx::operator< | ( | const cloud_point_index_idx & | p | ) | const

inline

Definition at line 209 of file voxel_grid.hpp.

References idx.

## Member Data Documentation

## cloud_point_index

unsigned int cloud_point_index_idx::cloud_point_index

Definition at line 206 of file voxel_grid.hpp.

## idx

unsigned int cloud_point_index_idx::idx

Definition at line 205 of file voxel_grid.hpp.

Referenced by pcl::VoxelGrid< pcl::PointXYZRGBL >::applyFilter(), and operator<().

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/filters/include/pcl/filters/impl/voxel_grid.hpp